=== modified file 'HACKING'
--- HACKING	2013-01-30 14:58:45 +0000
+++ HACKING	2013-01-30 17:48:54 +0000
@@ -1,5 +1,6 @@
-.. Run "make viewdocs" to render this file and read it in the browser
-   alongside the whole project documentation.
+.. Run "make view-main-doc" to render this file and read it in the browser
+   alongside the whole project documentation. To do this, you need the
+   dependencies described in the "Documentation" section below.
 
 =======
 HACKING

=== modified file 'Makefile'
--- Makefile	2013-01-30 14:58:45 +0000
+++ Makefile	2013-01-30 17:48:54 +0000
@@ -149,7 +149,7 @@
 	@echo "test-server: run tests in the browser from the debug environment"
 	@echo "prep: beautify and lint the source"
 	@echo "docs: generate project and code documentation"
-	@echo "viewdocs: generate all documentation and view it in the browser"
+	@echo "view-docs: generate both doc sets and view them in the browser"
 	@echo "help: this description"
 	@echo "Other, less common targets are available, see Makefile."
 
@@ -160,15 +160,22 @@
 yuidoc/index.html: node_modules/yuidocjs $(JSFILES)
 	node_modules/.bin/yuidoc -o yuidoc -x assets app
 
-sphinx:
+main-doc:
 	make -C docs html
 
-yuidoc: yuidoc/index.html
-
-docs: sphinx yuidoc
-
-viewdocs: docs
-	xdg-open docs/_build/html/index.html
+view-main-doc: main-doc
+	xdg-open docs/_build/html/index.html
+
+code-doc: yuidoc/index.html
+
+view-code-doc: code-doc
+	xdg-open yuidoc/index.html
+
+docs: code-doc main-doc
+
+view-docs: docs
+	xdg-open docs/_build/html/index.html
+	xdg-open yuidoc/index.html
 
 $(SPRITE_GENERATED_FILES): node_modules/grunt node_modules/node-spritesheet \
 		$(SPRITE_SOURCE_FILES)
@@ -474,10 +481,10 @@
 appcache-force: appcache-touch $(APPCACHE)
 
 # targets are alphabetically sorted, they like it that way :-)
-.PHONY: appcache-force appcache-touch beautify build \
-	build-files build-devel clean clean-all \
-	clean-deps clean-docs debug devel docs dist gjslint help \
-	jshint lint prep prod server spritegen test test-debug test-prod \
-	undocumented yuidoc yuidoc-lint recess
+.PHONY: appcache-force appcache-touch beautify build build-files \
+	build-devel clean clean-all clean-deps clean-docs code-doc \
+	debug devel docs dist gjslint help jshint lint main-doc prep prod \
+	recess server spritegen test test-debug test-prod undocumented \
+	view-code-doc view-docs view-main-doc yuidoc-lint
 
 .DEFAULT_GOAL := all

=== modified file 'README'
--- README	2013-01-30 14:58:45 +0000
+++ README	2013-01-30 17:48:54 +0000
@@ -1,5 +1,7 @@
-.. Run "make viewdocs" to render this file and read it in the browser
-   alongside the whole project documentation.
+.. Run "make view-main-doc" to render this file and read it in the browser
+   alongside the whole project documentation. To do this, you need the
+   dependencies described in the "Documentation" section of the HACKING
+   file.
 
 ======
 README

=== modified file 'docs/index.rst'
--- docs/index.rst	2013-01-16 11:48:59 +0000
+++ docs/index.rst	2013-01-30 17:48:54 +0000
@@ -17,3 +17,6 @@
    d3-component-framework
    style-guide
    process
+
+See also the `code documentation <../../../yuidoc/index.html>`_
+(:ref:`generated separately <embedded-docs>`).

